=== My_box/portsentry-1.0/Makefile ===
# Makefile for PortSentry package.
# 
# Send problems/code hacks to crowland@psionic.com 
#
#
# STEALTH MODE: Only works on Linux systems right now and will remain that
# way until I find time to port it. Sorry..
#
# The snprintf included with the package is for use with NEXTSTEP only,
# (Thanks Timothy <tjl@luomat.org>) although it may work elsewhere.
# I've not tried it under any other OS to date. It shouldn't be needed
# by any decent modern OS.
#
# Others have used the snprintf from:
#
# http://www.ijs.si/software/snprintf/
#
# I've not tried this yet but others have had good success. My only 
# piece of advice for those running an OS without built in snprintf()
# is to upgrade. :)
#
#
# Generic compiler
CC = cc
# GNU..
#CC = gcc 

# Normal systems flags
CFLAGS = -O -Wall

# Debug mode for portsentry
#CFLAGS = -Wall -g -DNODAEMON -DDEBUG
#CFLAGS = -Wall -g -DNODAEMON
# Profiler mode for portsentry
#CFLAGS = -pg -O -Wall -DNODAEMON
#LIBS = /usr/lib/libefence.a

INSTALLDIR = /usr/local/psionic
CHILDDIR=/portsentry


linux:		
		SYSTYPE=linux 
		@echo "Making $(SYSTYPE)"
		$(CC) $(CFLAGS) -DLINUX -DSUPPORT_STEALTH -o ./portsentry ./portsentry.c \
		./portsentry_io.c ./portsentry_util.c $(LIBS)

porto:		
		SYSTYPE=linux 
		@echo "Making $(SYSTYPE)"
		portsentry.o portsentry_io.o portsentry_util.o
